 mediaportal/Core/TagReader/CUE/CueUtil.cs |   19 +++++++++++--------
 1 files changed, 11 insertions(+), 8 deletions(-)

diff --git a/mediaportal/Core/TagReader/CUE/CueUtil.cs b/mediaportal/Core/TagReader/CUE/CueUtil.cs
index 578379e..274583b 100644
--- a/mediaportal/Core/TagReader/CUE/CueUtil.cs
+++ b/mediaportal/Core/TagReader/CUE/CueUtil.cs
@@ -180,15 +180,18 @@ namespace MediaPortal.TagReader
           exclusionList.Add(fileName);
 
           CueSheet cueSheet = new CueSheet(fileName);
-          string cuePath = System.IO.Path.GetDirectoryName(fileName);
-
-          foreach (Track track in cueSheet.Tracks)
+          if (!cueSheet.IsMulitFileCue)
           {
-            if (!exclusionList.Contains(cuePath + "\\" + track.DataFile.Filename))
-            {
-              exclusionList.Add(cuePath + "\\" + track.DataFile.Filename);
-            }
-            resultList.Add(builder.build(fileName, cueSheet, track));
+              string cuePath = System.IO.Path.GetDirectoryName(fileName);
+
+              foreach (Track track in cueSheet.Tracks)
+              {
+                  if (!exclusionList.Contains(cuePath + "\\" + track.DataFile.Filename))
+                  {
+                      exclusionList.Add(cuePath + "\\" + track.DataFile.Filename);
+                  }
+                  resultList.Add(builder.build(fileName, cueSheet, track));
+              }
           }
         }
         else
